Loading...
Searching...
No Matches
cxx::List_item::T_iter< T, Poly > Class Template Reference

Iterator for derived classes from ListItem. More...

`#include <list>`

Inheritance diagram for cxx::List_item::T_iter< T, Poly >:
Collaboration diagram for cxx::List_item::T_iter< T, Poly >:

## Additional Inherited Members

Public Member Functions inherited from cxx::List_item::Iter
List_item * | remove_me () noexcept
| Remove item pointed to by iterator, and return pointer to element.

## Detailed Description

template<typename T, bool Poly = false>
class cxx::List_item::T_iter< T, Poly >

Iterator for derived classes from ListItem.

Allows direct access to derived classes by * operator.

Example: class Foo : public ListItem { public: typedef T_iter<Foo> Iter; ... };

Definition at line 108 of file list.

The documentation for this class was generated from the following file:

- l4/cxx/list